Bug 393881 - libEMF compilation problem on alpha platform - patch included.
libEMF compilation problem on alpha platform - patch included.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libEMF (Show other bugs)
8
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 04:51 EST by Oliver Falk
Modified: 2008-01-02 20:46 EST (History)
0 users

See Also:
Fixed In Version: 1.0.3-5.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-02 20:46:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Falk 2007-11-21 04:51:33 EST
The idef in winnt.h is wrong. I would use the following:
diff -up libEMF-1.0.3/include/libEMF/wine/winnt.h.axp
libEMF-1.0.3/include/libEMF/wine/winnt.h
--- libEMF-1.0.3/include/libEMF/wine/winnt.h.axp        2007-11-21
10:22:56.000000000 +0100
+++ libEMF-1.0.3/include/libEMF/wine/winnt.h    2007-11-21 10:23:28.000000000 +0100
@@ -671,7 +671,7 @@ typedef struct _CONTEXT CONTEXT;
 #endif
 
 /* Alpha context definitions */
-#ifdef _ALPHA_
+#if defined(__alpha__)
 
 #define CONTEXT_ALPHA   0x00020000

Please be so kind and also report this upstream!
Comment 1 Dominik 'Rathann' Mierzejewski 2007-11-21 13:58:00 EST
Upstream is dead AFAIK. This package was only needed for chemtool, but since
recent transfig supports EMF output, this is no longer needed, so I want to
retire it. You're welcome to take over as a maintainer if you like.
Comment 2 Oliver Falk 2007-11-22 02:53:16 EST
Oh well. pstoedit is depending on it, that's why I had to pkg it for
AlphaCore... If you retire it and no other pkg depends on it, I don't need it
either :-)
Comment 3 Oliver Falk 2007-12-03 03:48:47 EST
Dominik, can you just apply the patch for F-8 and rawhide branch?
Comment 4 Dominik 'Rathann' Mierzejewski 2007-12-03 17:07:10 EST
Done.
Comment 5 Fedora Update System 2007-12-15 12:51:19 EST
libEMF-1.0.3-5.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libEMF'
Comment 6 Fedora Update System 2008-01-02 20:46:56 EST
libEMF-1.0.3-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.